Notify API reference

Notify API · Recipients

get/v1/workspaces/{workspace_id}/recipients/{external_id}/inboxAuth

List a recipient's inbox items

What the recipient sees in their in-app inbox, newest first, with their unseen and unread counts. `status` picks active (default), archived or all items. Read-only: recipients mark items through the client API.

Path parameters

workspace_id*string · uuid

Id of the workspace.

external_id*string

Your user id for the recipient (URL-encoded): 1-255 of `A-Z a-z 0-9 . _ : @ | -`.

Query parameters

statusenum (3)

`active` (not archived), `archived` or `all`.

tenantstring

Only this tenant.

cursorstring

Opaque cursor for pagination: the `next_cursor` of the previous page.

limitinteger

Page size.

Response · 200 A page of inbox items.

data*array

Items, newest first.

pagination*object

The cursor for the next page.

counts*object

The recipient's unseen and unread counts.

Example

Request

GET https://api.notify.productcraft.co/v1/workspaces/{workspace_id}/recipients/{external_id}/inbox
Authorization: Bearer YOUR_TOKEN

Response

{
  "data": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "notification_id": "00000000-0000-0000-0000-000000000000",
      "type": "string",
      "category": "string",
      "tenant": "string",
      "title": "string",
      "body": "string",
      "action_url": "string",
      "avatar_url": "string",
      "actions": [
        {
          "label": "string",
          "url": "string",
          "action_key": "string"
        }
      ],
      "actor": {},
      "data": {},
      "seen_at": "2026-01-01T00:00:00.000Z",
      "read_at": "2026-01-01T00:00:00.000Z",
      "archived_at": "2026-01-01T00:00:00.000Z",
      "interacted_at": "2026-01-01T00:00:00.000Z",
      "interaction_key": "string",
      "retracted_at": "2026-01-01T00:00:00.000Z",
      "created_at": "2026-01-01T00:00:00.000Z"
    }
  ],
  "pagination": {},
  "counts": {}
}